Replication Links - Get

データベース レプリケーション リンクを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks/{linkId}?api-version=2014-04-01

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

リンクを取得するデータベースの名前。

linkId
path True

string

取得するレプリケーション リンク ID。

resourceGroupName
path True

string

リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string

Azure サブスクリプションを識別するサブスクリプション ID。

api-version
query True

string

要求に使用する API バージョン。

応答

名前 型 説明
200 OK

ReplicationLink

わかりました

例

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-2137/databases/testdb/replicationLinks/f0550bf5-07ce-4270-8e4b-71737975973a?api-version=2014-04-01

応答のサンプル

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-2137/databases/testdb/replicationLinks/f0550bf5-07ce-4270-8e4b-71737975973a",
  "name": "f0550bf5-07ce-4270-8e4b-71737975973a",
  "type": "Microsoft.Sql/servers/databases/replicationLinks",
  "location": "Japan East",
  "properties": {
    "partnerServer": "sqlcrudtest-1932",
    "partnerDatabase": "testdb",
    "partnerLocation": "Japan East",
    "role": "Secondary",
    "partnerRole": "Primary",
    "replicationMode": "ASYNC",
    "startTime": "2017-02-10T01:37:49.153Z",
    "percentComplete": 100,
    "replicationState": "CATCH_UP",
    "isTerminationAllowed": true
  }
}

定義

名前 説明
ReplicationLink

データベース レプリケーション リンクを表します。

ReplicationRole

レプリケーション リンク内のデータベースのロール。

ReplicationState

レプリケーション リンクのレプリケーションの状態。

データベース レプリケーション リンクを表します。

名前 型 説明
id

string

リソース ID。

location

string

このファイアウォール規則を含むサーバーの場所。

name

string

リソース名。

properties.isTerminationAllowed

boolean

終了が許可されるかどうかを示すレガシ値。 現在、常に true を返します。

properties.partnerDatabase

string

パートナー データベースの名前。

properties.partnerLocation

string

パートナー データベースの Azure リージョン。

properties.partnerRole

ReplicationRole

レプリケーション リンク内のパートナー データベースのロール。

properties.partnerServer

string

パートナー データベースをホストしているサーバーの名前。

properties.percentComplete

integer (int32)

レプリケーション リンクのシード処理が完了した割合。

properties.replicationMode

string

このレプリケーション リンクのレプリケーション モード。

properties.replicationState

ReplicationState

レプリケーション リンクのレプリケーションの状態。

properties.role

ReplicationRole

レプリケーション リンク内のデータベースのロール。

properties.startTime

string (date-time)

レプリケーション リンクの開始時刻。

type

string

これはリソースの種類です。

ReplicationRole

レプリケーション リンク内のデータベースのロール。

値 説明
Primary
Secondary
NonReadableSecondary
Source
Copy

ReplicationState

レプリケーション リンクのレプリケーションの状態。

値 説明
PENDING
SEEDING
CATCH_UP
SUSPENDED